Bug 747849 - Review Request: e00compr - Library to compress and uncompress E00 files
Summary: Review Request: e00compr - Library to compress and uncompress E00 files
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Thomas Spura
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On: 751455
Blocks: 737401
TreeView+ depends on / blocked
 
Reported: 2011-10-21 06:33 UTC by Volker Fröhlich
Modified: 2011-11-25 02:07 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2011-11-19 23:29:01 UTC
tomspur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2011-10-21 06:33:33 UTC
Spec URL: http://www.geofrogger.net/review/e00compr.spec
SRPM URL: http://www.geofrogger.net/review/e00compr-1.0.1-1.fc15.src.rpm
Description:

ANSI-C library to compress and uncompress Arc/Info Export (E00) files.

----------------
[makerpm@lenovo e00compr]$ rpmlint /home/makerpm/rpmbuild/SRPMS/e00compr-1.0.1-1.fc15.src.rpm ~/rpmbuild/RPMS/x86_64/e00compr-*
e00compr.src: W: spelling-error Summary(en_US) uncompress -> uncompressed, compression, compressor
e00compr.src: W: spelling-error %description -l en_US uncompress -> uncompressed, compression, compressor
e00compr.x86_64: W: spelling-error Summary(en_US) uncompress -> uncompressed, compression, compressor
e00compr.x86_64: W: spelling-error %description -l en_US uncompress -> uncompressed, compression, compressor
4 packages and 0 specfiles checked; 0 errors, 4 warnings.

http://koji.fedoraproject.org/koji/taskinfo?taskID=3448757

Comment 1 Thomas Spura 2011-10-25 23:25:28 UTC
REVIEW:

Good:
- name ok
- group ok
- license ok
- correct FLAGS used
- contains static library (static provides partly ok (see below))
- install ok
- %files ok
- rpmlint ignorable:
$ rpmlint ~/rpmbuild/RPMS/x86_64/e00compr-* ~/rpmbuild/SRPMS/e00compr-1.0.1-1.fc15.src.rpm 
e00compr.x86_64: W: spelling-error Summary(en_US) uncompress -> uncompressed, compression, compressor
e00compr.x86_64: W: spelling-error %description -l en_US uncompress -> uncompressed, compression, compressor
e00compr.src: W: spelling-error Summary(en_US) uncompress -> uncompressed, compression, compressor
e00compr.src: W: spelling-error %description -l en_US uncompress -> uncompressed, compression, compressor
4 packages and 0 specfiles checked; 0 errors, 4 warnings.
- koji build successfully:
  http://koji.fedoraproject.org/koji/taskinfo?taskID=3460389
- source match upstream:
  6ab8ceadf8b63357aff88bca2da06355  e00compr-1.0.1.tar.gz

Needswork:
Requires: %{name}%{?_isa} = %{version}-%{release}
Provides: %{name}-static = %{version}-%{release}

Why not also provide with %{?_isa}?

TODO:
It would be great if upstream would provide the test files for the examples so they can be tested in a %check section. (But just a SHOULD here)

##########################################################

Change the Provides to:
Provides: %{name}-static%{?_isa} = %{version}-%{release}
and it's:

##########################################################

APPROVED

Comment 2 Volker Fröhlich 2011-10-27 06:23:26 UTC
I've added isa and will ask for tests. Thank you for your quick response.

Spec URL: http://www.geofrogger.net/review/e00compr.spec
SRPM URL: http://www.geofrogger.net/review/e00compr-1.0.1-2.fc15.src.rpm

Comment 3 Volker Fröhlich 2011-10-27 06:26:30 UTC
New Package SCM Request
=======================
Package Name: e00compr
Short Description: Library to compress and uncompress E00 files
Owners: volter
Branches: f15 f16 el6

Comment 4 Gwyn Ciesla 2011-10-27 12:29:41 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2011-10-27 16:08:14 UTC
e00compr-1.0.1-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-2.fc16

Comment 6 Fedora Update System 2011-10-27 16:08:21 UTC
e00compr-1.0.1-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-2.fc15

Comment 7 Fedora Update System 2011-10-27 16:08:29 UTC
e00compr-1.0.1-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-2.el6

Comment 8 Fedora Update System 2011-10-28 21:32:56 UTC
e00compr-1.0.1-2.fc16 has been pushed to the Fedora 16 testing repository.

Comment 9 Fedora Update System 2011-10-30 21:19:41 UTC
e00compr-1.0.1-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-3.fc16

Comment 10 Fedora Update System 2011-10-30 21:19:48 UTC
e00compr-1.0.1-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-3.fc15

Comment 11 Fedora Update System 2011-10-30 21:19:56 UTC
e00compr-1.0.1-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-3.el6

Comment 12 Michael Schwendt 2011-11-04 21:21:08 UTC
> Change the Provides to:
> Provides: %{name}-static%{?_isa} = %{version}-%{release}

That makes no sense, because you cannot BuildRequires that.

Remember, a spec file's BuildRequires become the src.rpm's Requires. And a src.rpm is not arch-specific.

Comment 13 Michael Schwendt 2011-11-04 21:23:40 UTC
> %package devel
> Summary: Development files for %{name}
> Group:   Development/Libraries
> Requires: %{name}%{?_isa} = %{version}-%{release}

Why does the -devel package require the base package? The base package guidelines don't apply here, because of the contents of this -devel package.

Comment 14 Volker Fröhlich 2011-11-05 08:42:25 UTC
Thank you for noticing the incorrect Provides!

I let the devel package require the base package, because it included the license file. I guess I should include a copy in the devel sub-package, if I don't require it:

http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing

Comment 15 Michael Schwendt 2011-11-05 10:43:45 UTC
> I guess I should include a copy in the devel sub-package,
> if I don't require it:

Correct.  There is no requirement for the -devel subpackage to depend on the base package explicitly. Hence the second part of the guideline applies:

| [...] if a subpackage is independent of any base package (it does not
| require it, either implicitly or explicitly), it must include copies of
| any license texts (as present in the source) which are applicable to
| the files contained within the subpackage.

Comment 16 Fedora Update System 2011-11-08 07:30:18 UTC
e00compr-1.0.1-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-4.el6

Comment 17 Fedora Update System 2011-11-08 07:30:27 UTC
e00compr-1.0.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-4.fc15

Comment 18 Fedora Update System 2011-11-08 07:30:34 UTC
e00compr-1.0.1-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/e00compr-1.0.1-4.fc16

Comment 19 Fedora Update System 2011-11-19 23:29:01 UTC
e00compr-1.0.1-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2011-11-19 23:34:45 UTC
e00compr-1.0.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2011-11-25 02:07:54 UTC
e00compr-1.0.1-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.